#include <bits/stdc++.h>
using namespace std;


int uporedi(string a, string b)
{
    string ab = a.append(b);
    string ba = b.append(a);
    return ab.compare(ba) > 0 ? 1: 0;
}

void ispisinajveci(vector<string>niz)
{
    sort(niz.begin(), niz.end(), uporedi);
    for (int i=0; i < niz.size() ; i++ )
        cout << niz[i];
}

int main()
{
    vector<string> niz;
    long long a,b,c;
    scanf("%lld%lld%lld",&a,&b,&c);
    stringstream a1;
    a1 << a;
    stringstream b1;
    b1 << b;
    stringstream c1;
    c1 << c;
    niz.push_back(a1.str());
    niz.push_back(b1.str());
    niz.push_back(c1.str());
    ispisinajveci(niz);
   return 0;
}